Important Dates

Latest Posts

Topic: Bugs

GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2862
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2019-03-11, 08:57

I could try setting up a virtual machine


Busy indexing nil values

Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-11, 11:22

According to their site, they have build 19 in Tumbleweed and Leap 15. Which Leap release does the user have installed?


Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-12, 13:04

I tested on my mother's notebook, which has OpenSuse Leap 15 installed. When installing Widelands from the official repos, it reports build-19 as version. I assume the user has a 3rd party repo from where he has installed the game.


Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-12, 13:38

Did some digging. The OpenSuse User has the games repository activated (we link to this in our wiki) this repo holds the "latest" development build. It reports to be build19 with a suffix, I don't know what the suffix reflects and why it prefixes with build19. But basically you tried to play with incompatible versions.


Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-12, 14:37

Maybe we should add a Safeguard for build 20. That prohibits multiplayer games for users with different versions?


Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2862
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2019-03-12, 15:24

How would that help when SuSe reports the wrong version?

We could check for versions of the network gaming protocol, which is no 100% guarantee either though.

Also, we won't want to be too restrictive when people have slightly different development versions that are multiplayer-compatible.


Busy indexing nil values

Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-12, 15:51

Suse doesn't report the wrong version. Build 19 is build19. As it is for all other systems. It is just the development build that has this version scheme. But so do our ppa packages. The debs are called 1:19... Of course the version reported by the game just shows the bzr revision.

I'm not talking about restrictions for the development builds. But for the releases. So build20 should only be able to connect to build 20.


Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2862
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2019-03-12, 19:12

I did some testing with Build 19 and trunk. In a LAN game, I get an error message box, no error. In an internet game, when hosting with trunk, the game shows as unconnectable for Build 19. I did not test hosting an internet game with Build 19.


Busy indexing nil values

Top Quote
Tribal-Chief
Avatar
Joined: 2018-12-09, 17:16
Posts: 29
Ranking
Pry about Widelands
Posted at: 2019-03-13, 12:01

Artifacts broken in bzr9012.

Starting any map with artifacts gives the choice of starting with win condition - artifacts, but starting t game gives a none fatal error message of no artifacts, but they are there, captuing them gives no message.

Checking the maps in editor shows the artifacts present but the tag is missing from the map details page so cannot be selected.


Top Quote
stonerl
Avatar
Joined: 2018-07-30, 00:03
Posts: 190
Ranking
Widelands-Forum-Junkie
Location: Earth
Posted at: 2019-03-13, 12:16

Tribal-Chief wrote:

Artifacts broken in bzr9012.

Fixed with bzr9014.


Top Quote